Class | ::Bot::DataStream
In: | lib/rbot/core/utils/filters.rb
Parent: | Hash

The DataStream class. A DataStream is just a Hash. The :text key has a special meaning because it‘s the value that will be used when converting to String

### Methods

new to_s

### Public Class methods

new(text, hash)

Create a new DataStream with text text and attributes held by hash. Either parameter can be missing; if text is missing, the text can be be defined in the hash with a :text key.

### Public Instance methods

to_s()

Returns the :text key

[Validate]